SMTPC(1)

NAME
smtpc - SMTP / LMTP client

SYNOPSIS
smtpc --esmtp host:port -f envelope@sen.der [ options... ] [ -- ] recipient@add.ress ... smtpc --lmtp host:port -f envelope@sen.der [ options... ] [ -- ] recipient@add.ress ... smtpc --lmtp path -f envelope@sen.der [ options... ] [ -- ] recipient@add.ress ...

DESCRIPTION
smtpc is an email client. It reads a message from standard input and submits it to email server through socket.

  Options
Any options not listed here are silently ignored.

--dump
    Show dialog in the session.

--esmtp host[:port]
    Uses TCP socket and ESMTP protocol to submit message. Either this option or --lmtp option is required. If host is the IPv6 address, it must be enclosed in [...] to avoid confusion with colon separating host and port, e.g. "[::1]", "[::1]:587". If port is omitted, "25" is used.

-f envelope@sen.der, -fenvelope@sen.der
    Specifys envelope sender. This option is required. To specify "null envelope sender", use a separate empty argument or "<>".

--iam host.name
    Specifys host name or IP address literal used in EHLO or LHLO request. Default is "localhost".

--lmtp host[:port], --lmtp path
    Uses TCP or Unix domain socket and LMTP protocol to submit message. Either this option or --esmtp option is required. If port is omitted, "24" is used. path must be full path to socket file.

-N dsn, -Ndsn
    Controls delivery status notification. dsn may be single word "NEVER" or one or more of words "SUCCESS", "FAILURE" and "DELAY" separated by comma. If this option is not given, delivery status notification will be controlled by server.

--smtputf8
    Enables support for SMTPUTF8 extension. smtpc detects valid UTF-8 sequence in envelope and message header, then requests this extension as neccessity.

-V envid, -Venvid
    Specifys envelope ID.

--verbose
    Output the last response from the server to standard output.

--  Terminates options. Remainder of command line arguments are considered to be recipient addresses, even if any of them begin with "-".

recipent@add.ress ...
    Recipients to whom the message would be delivered. At least one recipient is required.

  Exit status

0   Message was successfully submitted.

253 Message was rejected by server.

254 The server returns malformed or illegal response.

255 Network error occurred.

  SMTP extensions
smtpc supports following extensions.

8-bit MIME Transport (RFC 6152)
    smtpc requests this extension if message contains octets with high bit.

Delivery Status Notification (RFC 3461)
    smtpc issues ORCPT parameters. See also -N and -V options.

Internationalized Email (RFC 6531)
    Experimentally supported. See --smtputf8 option.

Message Size Declaration (RFC 1870)
    Estimated size of the message is informed to the server.

LIMITATIONS
smtpc provides the feature of SMTP / LMTP client submitting messages to particular server. It will never provide extensive features such as message queuing, retry after temporary failure, routing using MX DNS record and so on. Once the server rejects delivery, smtpc exits and message is discarded.

KNOWN BUGS

*   If NUL octets (\0) are included in messages, they are transmitted to the server.

SEE ALSO
sendmail(1)

HISTORY
smtpc was initially written for Sympa project by IKEDA Soji <ikeda@conversion.co.jp>.